version: '3.4'

services:
  airlines.web:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: airlines-web
    ports:
      - "8080:8080"
    depends_on:
      - rise-airline-db

  rise-airline-db:
    container_name: rise-airline-db
    image: "mcr.microsoft.com/mssql/server"
    environment:
      SA_PASSWORD: "PASSWORD!123"
      ACCEPT_EULA: "Y"
    volumes:
      - mssql-data:/var/opt/mssql
      - ./RISE_Airlines.bak:/var/backups/RISE_Airlines.bak
    ports:
      - "1433:1433"

volumes:
  mssql-data:
    driver: local
